$AdfDhtmlInputFilePeer$$.$_SUB_ID_MAP$ = {upVal:"upVal", upBtn:"upBtn", dlg:"dlg"};
$AdfDhtmlInputFilePeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlInputFilePeer$$$$$GetSubIdDomElement$$($subElementId$$17$$) {
  var $component$$1817$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementDelegateSuper$($subElementId$$17$$, $AdfDhtmlInputFilePeer$$.$_SUB_ID_MAP$, $component$$1817$$, this, $AdfDhtmlInputFilePeer$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputFilePeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlInputFilePeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlInputFilePeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlInputFilePeer$$$$$GetBestMatchSubId$$($domElement$$557$$) {
  return $AdfSubIdUtils$$.$getBestMatchSubIdDelegateSuper$($domElement$$557$$, this, $AdfDhtmlInputFilePeer$$.$_SUB_ID_MAP$, $AdfDhtmlInputFilePeer$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputFilePeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlInputFilePeer$$.prototype.$GetBestMatchSubId$});
